<!-- <div class="card rounded">
  <div class="card-header">
    <h6 class="mb-0 conentBoxTitle">{{onboardedDataCatalogContent.title}}</h6>
  </div>
  <div class="card-body py-0 px-0 conentBoxBody"> -->
<div>
  <ejs-grid #onboardedSourcesListGrid [dataSource]="onboardedDataSetCatalog | filter:searchtxt:['description', 'provider', 'business_nm', 'dataset_nm', 'frequency', 'sample_file_nm'] 
   | arrayFilter:providerToFilter:['provider']:filterMetadata | arrayFilter:dataSetToFilter:['dataset_nm']:filterMetadata | arrayFilter:businessNameToFilter:['business_nm']:filterMetadata
   | arrayFilter:frequencyToFilter:['frequency']:filterMetadata"
   [allowPaging]="true" [allowSorting]="true" [allowResizing]="false" [allowReordering]="false" [showColumnChooser]="true" 
   [toolbar]="gridToolbar" [pageSettings]="gridPageSettings" [allowTextWrap]="true" [selectedRowIndex]="0" (rowSelected)="onRowSelected($event)">
    <e-columns>
      <e-column field='provider' headerText='{{onboardedDataCatalogContent.headerText.provider}}' width=100></e-column>
      <e-column field='dataset_nm' headerText='{{onboardedDataCatalogContent.headerText.dataSet}}' width=150>
      </e-column>
      <e-column field='business_nm' headerText='{{onboardedDataCatalogContent.headerText.fileType}}' width=150>
      </e-column>
      <e-column field='description' headerText='{{onboardedDataCatalogContent.headerText.description}}' width=120></e-column>
      <e-column field='frequency' headerText='{{onboardedDataCatalogContent.headerText.frequency}}' width=120></e-column>
      <!-- <e-column field='sample_file_nm' headerText='{{onboardedDataCatalogContent.headerText.sampleFile}}'  width=120>
        <ng-template #template let-onboardedDataSetCatalog>
          <a  class="custom-anchor" (click)="downloadFile(onboardedDataSetCatalog.sample_file_nm)">
            {{onboardedDataSetCatalog.sample_file_nm}}</a>
        </ng-template>
      </e-column> -->
      <e-column field='sample_file_nm' headerText='{{onboardedDataCatalogContent.headerText.sampleFile}}'  width=120 textAlign="Center">
      </e-column>
      <e-column headerText="{{onboardedDataCatalogContent.headerText.edit}}" [commands]="gridCommands" width='85' textAlign="Center">
      </e-column>
      <e-column headerText="{{onboardedDataCatalogContent.headerText.clone}}" [commands]="gridCloneCommands" width='85' textAlign="Center">
      </e-column>
      <!-- <e-column headerText="{{onboardedDataCatalogContent.headerText.delete}}" [commands]="gridDeleteCommands" width='85' textAlign="Center">
      </e-column> -->
      <e-column headerText="{{onboardedDataCatalogContent.headerText.view}}" width='85'  textAlign="Center">
        <ng-template #template let-onboardedDataSetCatalog>
          <img src="assets/images/novartis/next.svg" class="view-btn" alt="View" title="View" (click)="viewSourceHandler(onboardedDataSetCatalog.obj_id)"  />
      </ng-template>
      </e-column>
    </e-columns>
  </ejs-grid>
  <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
    <span class="text-dark ml-5 mr-2 pt-1"><small>Results Per Page</small></span>
    <span class="mt-1">
      <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
        value="5" (change)="changePageSize($event)" width="75px">
      </ejs-dropdownlist>
    </span>
  </span>
  <span id="showSrcResultsCount" class="top-minus-5">
    <span class="text-muted">{{(onboardedSourcesListGrid.pageSettings.currentPage-1)*onboardedSourcesListGrid.pageSettings.pageSize+1}}
      - {{filterMetadata.count > onboardedSourcesListGrid.pageSettings.currentPage*onboardedSourcesListGrid.pageSettings.pageSize ? onboardedSourcesListGrid.pageSettings.currentPage*onboardedSourcesListGrid.pageSettings.pageSize : filterMetadata.count}}</span>
  </span>
  <span id="addNewSrc" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true" aria-label="Add New">
      <img src="assets/images/novartis/add.svg" alt="Add New" />{{onboardedDataCatalogContent.buttons.add}}</button>
  </span>
  <!-- <span id="editSrc" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true" aria-label="Edit"><a
        routerLink="../dataOnboarding" class="custom-anchor" [queryParams]="{ edit: objId }">
        <em class="fa fa-edit fa-fw mr-2"></em>{{onboardedDataCatalogContent.buttons.edit}}</a></button>
  </span>
  <span id="cloneSrc" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true" aria-label="Clone"><a
        routerLink="../dataOnboarding" class="custom-anchor" [queryParams]="{ clone: objId }">
        <em class="fa fa-clone fa-fw mr-2"></em>{{onboardedDataCatalogContent.buttons.clone}}</a></button>
  </span> -->
  <span id="columnChooserTemplateSrc" class=" mr-0 top-minus-8">
    <button class="iconButton btn btn-primary" data-ripple="true" aria-label="Choose Columns To be Displayed">
      <img src="assets/images/novartis/column.svg" alt="Choose Columns" />
    </button>
  </span>
</div>
<!-- </div>
</div> -->
<!-- <ejs-dialog #onboardedDataDialog
  header="Onboarded Data Details"
  [visible]="false" class="onboarded-details" [isModal]="true" [position]="dlgPosition"
  showCloseIcon="true" [animationSettings]="dlgAnimationSettings">
  <ng-template #content>
    <app-onboarded-data-details #onboardedDataDetails></app-onboarded-data-details>
  </ng-template>
</ejs-dialog> -->